Kinematics application of the slider crank mechanism developped in python
===============================================================================

The slider crank mechanism is a classical linkage assembly that transforms a rotational motion into a linear one. It can be found in many systems such as pumps, thermal engines, ...

The mechanism is made of a frame(0), an eccentric (1), a connecting rod (2) and a slider (3) depicted by the following figure:

![img](.readme_images/linkage_slider_crank_mech.png)

This application aims to illustrate the kinematics of the mechanism. It replicates a free software that was available on MECAMEDIA but which is not maintained. It also exists a [MatLab version](https://github.com/mahmoudsamhoud/Cranck-Slider-Mechanism-Computational-Dynamics-). 

This application gives the mechanism configuration as well as position, velocity and acceleration plots of the slider given the position and velocity of the eccentric.
Besides it illustrates some graphical kinematics tools such as trajectories, velocity vectors and equiprojectivity.

![image](.readme_images/slider-crank_mechanism.png)

The application works with python37 and the required packages are: numpy and matplotlib

To run the application, you might either:
* double click on `slider-crank_mechanism_app.py` if you have a python interpreter set with the right version and libraries;
* in a terminal run the following command :
```
python slider-crank_mechanism_app.py
```

**Configuration and plots are not automatically updatedwhen settings are changed. 
You always have to modify the time position to observe the updates**


Perspectives are to show instantaneous center of rotation as well as their trajectories. The vector representation could also be improved.